de.dhbwstuttgart.parser

## Class InterfaceList

- java.lang.Object
- - de.dhbwstuttgart.parser.InterfaceList

-     public class InterfaceList
      extends java.lang.Object

  Hilfskonstrukt fuer die Grammatik, um ungepruefte Typcasts fuer Mengeen zu umgehen. Wird nuer fuer den Parser benoetigt.
  Author:
    SCJU

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Menge<UsedId>` | `superif`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterfaceList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInterface(UsedId uid)`
    `Menge<Type>` | `getTypeMenge()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### superif

          private Menge<UsedId> superif

  - ### Constructor Detail

    - #### InterfaceList

          public InterfaceList()

  - ### Method Detail

    - #### addInterface

          public void addInterface(UsedId uid)

    - #### getTypeMenge

          public Menge<Type> getTypeMenge()